Skip to main content
GET
/
api
/
transactions
/
deposit
/
detail
Get Deposit Details
curl --request GET \
  --url http://127.0.0.1:8083/api/transactions/deposit/detail \
  --header 'X-API-Key: <api-key>' \
  --header 'X-API-Secret: <api-key>'
{
  "partner_transaction_id": "<string>",
  "network": "ETH",
  "account_currency": "USDT",
  "amount": 99.99,
  "transaction_id": "txn_d74ee9e30d3345fcba469e282450783a",
  "transaction_type": "deposit",
  "source_wallet_address": "0x94a84aBd3198874A84f4a61083c52Ed7eE61077f",
  "target_wallet_address": "0x94a84aBd3198874A84f4a61083c52Ed7eE61077f",
  "status": "completed",
  "created_at": "2023-11-07T05:31:56Z",
  "audit_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

Includes an API key in the HTTP headers to authenticate the client.

X-API-Secret
string
header
required

Includes an API secret in the HTTP headers to authenticate the client.

Query Parameters

partner_transaction_id
string

Partner Transaction Id

transaction_id
string

Transaction Id

Response

Operation Successful

partner_transaction_id
string
required

Partner Transaction Id

Required string length: 20 - 64
network
enum<string>
required

Network

Available options:
ETH,
TRX
Example:

"ETH"

account_currency
enum<string>
required

Account Currency

Available options:
USDT,
USDC,
USD
Example:

"USDT"

amount
number<decimal>
required

Amount

Required range: 0.01 <= x <= 1000000
Example:

99.99

transaction_id
string

Unique Transaction ID

Example:

"txn_d74ee9e30d3345fcba469e282450783a"

transaction_type
enum<string>

Transaction Type

Available options:
deposit
source_wallet_address
string

Source Wallet Address

Example:

"0x94a84aBd3198874A84f4a61083c52Ed7eE61077f"

target_wallet_address
string

Target Wallet Address

Example:

"0x94a84aBd3198874A84f4a61083c52Ed7eE61077f"

status
enum<string>

Status

Available options:
pending,
completed,
failed
Example:

"completed"

created_at
string<date-time>
audit_at
string<date-time>
completed_at
string<date-time>